

<div class="all">
<div class="mouna">
    <div class="row height d-flex justify-content-center align-items-center">
        <div class="col-md-8" style="margin-right: 20%;">
            <div class="alll">
         <div class="col-md-12">
            <div class="form-group input-group" style="width: 140%;  height: 45px; ">
                <div class="input-group-prepend" >
                    <span class="input-group-text" >
                    </span>
                </div>
                <select id="select"  (change)="filtrerListPromo($event)" class="form-control digits" style="height: 45px;">
                    <option ><span style="color: #ff8084;">Choose category</span> </option>
                    <option  *ngFor="let categorie of listcategorie" [value]="categorie.name" >{{categorie.name}}</option>
                </select>
            </div>
        </div>
        <div class="col-md-12">
            <div class="search">
                <i class="fa fa-search" style="margin-left:80%"></i>
                <input type="text" class="form-control" placeholder="Search Promo..." [(ngModel)]="search_name">
            </div>
        </div>
        </div>
        </div>
    </div>
</div>
<div class="ok">
    <button class="button button4"></button> In process of confirmation
    <button class="button button5"></button> promotion confirmed
</div>
</div>
<div class="container-fluid">
    <div class="row products-admin ratio_asos">
        <div class="col-xl-3 col-sm-6" *ngFor="let promo of listpromo | filter:search_name | paginate: { itemsPerPage: 7, currentPage: p }">
            <div class="card">
                <div class="card-body product-box">
                    <div class="img-wrapper">
                        <div class="front">
                            <div class="okk">-{{promo?.remise}}% </div>
                            <a href="javascript:void(0)"   [routerLink]="['../promotion-detail', promo?.id]"><img src="http://127.0.0.1:8887/{{promo?.img}}"
                                    class="img-fluid blur-up lazyload bg-img" alt=""></a>
                            <div class="product-hover">
                                <ul>
                                    <li *ngIf="isvendeur()">
                                        <button (click)="getcategorie(promo)" [routerLink]="['../update-promo',promo?.id]" class="btn" type="button"
                                            data-original-title="" title=""><i class="icon-pencil-alt"></i></button>
                                    </li>
                                    <li >
                                        <button (click)="onOpenModal(promo.id)" class="btn" type="button"
                                            data-toggle="modal" data-target="#exampleModalCenter" data-original-title=""
                                            title=""><i class="icon-trash"></i></button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="product-detail">
                        <div class="rating"></div>
                        <a  [routerLink]="['../promotion-detail', promo?.id]">
                            <h6 style="color: rgb(58, 56, 56) ;">{{promo.name}}<br> </h6>
                        </a>
                        <div>
                            <h4 > {{promo.price}} TND</h4>
                            <del style="color: gray;">{{formatNumber((promo.price/(100-discount))*100)}} TND</del>
                        </div>
                     <div class="ll">
                            <button class="button button4" *ngIf="promo.status=='en cours'"></button> 
                            <button class="button button5" *ngIf="promo.status=='Confirmée'"></button> 
                        </div>
                      
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<pagination-controls (pageChange)="p = $event"></pagination-controls>

<div class="modal fade" id="deletePromoModal" tabindex="-1" role="dialog" aria-labelledby="promoDeleteModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="deletePromoModalLabel">Delete
                    Promo </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p>Are you sure you want to delete promo ?</p>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" id="deletePromoModal"
                        data-dismiss="modal">No</button>
                    <button class="btn btn-danger" (click)="onDeletPromo(deletPromo?.id)"
                        data-dismiss="modal">Yes</button>
                </div>
            </div>
        </div>
    </div>
</div>